<?php 
require_once "../modelos/Formapagosp.php";

$formapagop=new Formapagosp();

$idformapagop	  =	isset($_POST["idformapagop"])? limpiarCadena($_POST["idformapagop"]):"";
$nombre		  	  =	isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$mformapagop		=	isset($_POST["mformapagop"])? limpiarCadena($_POST["mformapagop"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
	if (empty($idformapagop)) {
		$rspta=$formapagop->insertar($nombre);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$formapagop->editar($idformapagop,$nombre);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
		break;
	

	case 'desactivar':
		$rspta=$formapagop->desactivar($idformapagop);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
		break;
	case 'activar':
		$rspta=$formapagop->activar($idformapagop);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
		break;
	
	case 'mostrar':
		$rspta=$formapagop->mostrar($idformapagop);
		echo json_encode($rspta);
	break;
	
	case 'buscarMetodosDePago':
		$rspta=$formapagop->buscarMetodosDePago($mformapagop);
		echo json_encode($rspta);
	break;
	

	case 'selectformapagop':
		$rspta=$formapagop->select();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un método de pago';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idformapagop.'>'.$reg->nombre.'</option>';
		}
	break;	

	case 'selectformapagoc':
		$rspta=$formapagop->selectc();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un método de pago';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idformapagop.'>'.$reg->nombre.'</option>';
		}
	break;
		
	case 'listar':
		$rspta=$formapagop->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idformapagop.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idformapagop.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idformapagop.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idformapagop.')">
						<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
		break;
}
 ?>